Subject: [IPP] Fwd: IANA approved LDAP Printer Schema

From: Ira McDonald <[email-masked]>
Date: Wed, 11 Feb 2015 16:21:11 -0500

Hi,

FYI - IANA reviewer (Alexey Melnikov) has approved the latest
revision of the LDAP Printer Schema.  IESG has scheduled a
final review for their telechat next week on 19 February.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Co-Chair - TCG Trusted Mobility Solutions WG
Chair - Linux Foundation Open Printing WG
Secretary - IEEE-ISTO Printer Working Group
Co-Chair - IEEE-ISTO PWG Internet Printing Protocol WG
IETF Designated Expert - IPP & Printer MIB
Blue Roof Music / High North Inc
http://sites.google.com/site/blueroofmusic
http://sites.google.com/site/highnorthinc
mailto: [email-masked]
Winter  579 Park Place  Saline, MI  48176  734-944-0094
Summer  PO Box 221  Grand Marais, MI 49839  906-494-2434

---------- Forwarded message ----------
From: Alexey Melnikov <[email-masked]>
Date: Fri, Feb 6, 2015 at 10:31 AM
Subject: Re: ISE needs review of draft-mcdonald-ldap-printer-schema
To: Ira McDonald <[email-masked]>, Barry Leiba <
[email-masked]>, Michael R Sweet <[email-masked]>
Cc: Nevil Brownlee <[email-masked]>, "
[email-masked]" <
[email-masked]>

 Hi Ira,

On 29/01/2015 21:07, Ira McDonald wrote:

Hi Nevil, Alexey, and Barry,

With apologies for the delay, I've just uploaded a new draft of the
LDAP Printer Schema - please see the change log for details.

I've also attached Mike Sweet's replies to Alexey's comments.
The one tricky one (about URI conforming to [STD66]) has been
finessed (see change log and main text).

But please do note Mike's comments about the conflict between
RFC 6874 and RFC 3986 about IPv6 link-local addresses - RFC
6874 does indeed normatively update RFC 3986 (says the RFC
Index).

The changes look good to me.

And never mind my earlier comment about language tag case - they are case
insensitive according to RFC 5646.

Best Regards,
Alexey

Cheers,
- Ira

 Ira McDonald (Musician / Software Architect)
Co-Chair - TCG Trusted Mobility Solutions WG
Chair - Linux Foundation Open Printing WG
Secretary - IEEE-ISTO Printer Working Group
Co-Chair - IEEE-ISTO PWG Internet Printing Protocol WG
IETF Designated Expert - IPP & Printer MIB
Blue Roof Music / High North Inc
http://sites.google.com/site/blueroofmusic
http://sites.google.com/site/highnorthinc
mailto: [email-masked]
Winter  579 Park Place  Saline, MI  48176  734-944-0094
Summer  PO Box 221  Grand Marais, MI 49839  906-494-2434

On Mon, Dec 29, 2014 at 7:46 PM, Barry Leiba <[email-masked]>
wrote:

> Great, Ira... Thanks for taking the time to respond.  Good holidays to
> you!
>
>  Barry
>
> On Monday, December 29, 2014, Ira McDonald <[email-masked]>
> wrote:
>
>> Hi Barry, Nevil, and Alexey,
>>
>> I'm offline for the holidays.
>>
>> I've looked over Alexey's excellent comments and passed them all
>> on to my colleague Mike Sweet (Apple, PWG Chair, PWG IPP WG
>> Secretary, author of CUPS - most widely used implementation of
>> IPP on which LDAP Printer Schema is based).
>>
>> In the early new year, I should have a new draft out to address Alexey's
>> comments and revise the IANA Considerations section.
>>
>> Have a good holiday season.
>>
>> Cheers,
>> - Ira
>>
>>
>>
>>   Ira McDonald (Musician / Software Architect)
>> Co-Chair - TCG Trusted Mobility Solutions WG
>> Chair - Linux Foundation Open Printing WG
>> Secretary - IEEE-ISTO Printer Working Group
>> Co-Chair - IEEE-ISTO PWG Internet Printing Protocol WG
>> IETF Designated Expert - IPP & Printer MIB
>> Blue Roof Music / High North Inc
>> blueroofmusic <http://sites.google.com/site/blueroofmusic>
>> highnorthinc <http://sites.google.com/site/highnorthinc>
>> mailto: [email-masked]
>> Winter  579 Park Place  Saline, MI  48176  734-944-0094
>> Summer  PO Box 221  Grand Marais, MI 49839  906-494-2434
>>
>>
>> On Mon, Dec 29, 2014 at 3:56 PM, Barry Leiba <[email-masked]>
>> wrote:
>>
>>> > A bit of confusion here.  Barry agreed to move the related IPPS URI
>>> Scheme
>>> > (draft-mcdonald-ipps-uri-scheme) to standards track - it went through
>>> IETF
>>> > last call and was approved on 12/04/14, pending the last edits from
>>> the IESG
>>> > comments (all of which I've completed and expect to post later today).
>>> >
>>> > But the original LDAP Printer Schema (RFC 3712) was Informational, so
>>> Barry
>>> > advised us to put this new version in the ISE (which is why we did
>>> so).  It
>>> > should remain in the ISE.
>>>
>>> Confirming all this.
>>>
>>> > We'll take a look at Alexey comments ASAP and get back to you folks.
>>>
>>> I'm hanging onto the document for now, then.  I've checked the -18
>>> version, and it looks good.  Let me know when you've responded to
>>> Alexey, whether there's another update coming, and what the status is.
>>> I'll send out the approval notice when we're sure we're OK with
>>> everything.
>>>
>>> Barry
>>>
>>
>>
_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp